summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-12-02 15:12:03 +0100
committerLars Wendler <polynomial-c@gentoo.org>2018-12-02 15:12:03 +0100
commit3bd7a661ee3f8adab47a4ab99f70e711c70547ac (patch)
treeeb5700b24ea207b753e088fc1c34f5b41253c237 /net-ftp
parentdev-libs/nss: Removed old. (diff)
downloadgentoo-3bd7a661ee3f8adab47a4ab99f70e711c70547ac.tar.gz
gentoo-3bd7a661ee3f8adab47a4ab99f70e711c70547ac.tar.bz2
gentoo-3bd7a661ee3f8adab47a4ab99f70e711c70547ac.zip
net-ftp/filezilla: Bump to version 3.39.0
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'net-ftp')
-rw-r--r--net-ftp/filezilla/Manifest1
-rw-r--r--net-ftp/filezilla/filezilla-3.39.0.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/net-ftp/filezilla/Manifest b/net-ftp/filezilla/Manifest
index e766978a754..d812e025116 100644
--- a/net-ftp/filezilla/Manifest
+++ b/net-ftp/filezilla/Manifest
@@ -4,3 +4,4 @@ DIST FileZilla_3.35.2_src.tar.bz2 4968449 BLAKE2B 1c06b0a67177fc2b91e037eef02c08
DIST FileZilla_3.36.0_src.tar.bz2 4981429 BLAKE2B f297671ead361b4b1b1063bca2c78ad1e8c029f9eb3eae2a6bd4bd56c794cfb4e9b70ee4cf9addda60635e12d7e37cf42b34763316d73beab37a24ab94eb03d8 SHA512 d5c9ebd49944b3f2b55f5b494113ffde13b61f5d98e3be0507731e0dfc0d18f1f36ec5d4bf0f9ce2bbcf9d9b91b92b93b192739fb89c99c6cced80e131b58322
DIST FileZilla_3.37.4_src.tar.bz2 4983335 BLAKE2B 16929caca3aabfdea406469a4128878f3cc48b347084d5d362ad206a7549be129195e8f111324b259e64d8e9324d9decd4bb51d088367fcaa560ec1feeb03570 SHA512 3f6697fd411b898f0db375bba7e6a34157c73274ee463832c38a4897240d990654c447baad8b0024492cb882106e7e63757d54401c487cfad96038d1f5eabfea
DIST FileZilla_3.38.1_src.tar.bz2 4983087 BLAKE2B a19b80b35535485fd1c03aa36a85aa1f894b106d09d1b78ab7e02fec6cec3e78e0612c343694e5fabaa2202802d2ba2cd2aa4e4d0840342f17c60c06c0c8bcf8 SHA512 a224c6f65253ceeef1f3049fd6304533a7efb427707c73481d3973d06e3b887f2511bc705e718a1018b287940c3d682794c6cf3d0e8d9e3c403a1e2f14ed01fc
+DIST FileZilla_3.39.0_src.tar.bz2 4995713 BLAKE2B d89aaa1f57187cd926ae1c4dd34624b404baa291334c652293d2dcfaedc4a5dffb401f8727b5d5d1fb483bdd503f35124efb75bdd7dd750d68e517fcb57fb8c0 SHA512 a0360634517ffd07878082abae024dbb4896035edcbd9abe6d8adfc9d37b73d01d95f6c5ca031175d88b6e4badefafcc43b5ddce3d9dbddde4deab5f0cc97e83
diff --git a/net-ftp/filezilla/filezilla-3.39.0.ebuild b/net-ftp/filezilla/filezilla-3.39.0.ebuild
new file mode 100644
index 00000000000..1f2606a52b3
--- /dev/null
+++ b/net-ftp/filezilla/filezilla-3.39.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER="3.0-gtk3"
+
+inherit autotools flag-o-matic gnome2-utils wxwidgets
+
+MY_PV=${PV/_/-}
+MY_P="FileZilla_${MY_PV}"
+
+DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
+HOMEPAGE="https://filezilla-project.org/"
+SRC_URI="https://download.filezilla-project.org/client/${MY_P}_src.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="dbus nls test"
+
+# pugixml 1.7 minimal dependency is for c++11 proper configuration
+RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
+ >=dev-libs/nettle-3.1:=
+ >=dev-db/sqlite-3.7
+ >=dev-libs/libfilezilla-0.15.0
+ >=dev-libs/pugixml-1.7
+ >=net-libs/gnutls-3.4.15
+ >=x11-libs/wxGTK-3.0.4:${WX_GTK_VER}[X]
+ x11-misc/xdg-utils
+ dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=sys-devel/libtool-1.4
+ nls? ( >=sys-devel/gettext-0.11 )
+ test? ( >=dev-util/cppunit-1.13.0 )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+DOCS=(AUTHORS ChangeLog NEWS )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.22.1-debug.patch
+)
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ if ! test-flag-CXX -std=c++14; then
+ eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
+ eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
+ eerror "to gcc-4.9 or an equivalent version supporting C++14."
+ die "Currently active compiler does not support -std=c++14"
+ fi
+ fi
+}
+
+src_prepare() {
+ setup-wxwidgets
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_with dbus) $(use_enable nls locales) \
+ --with-pugixml=system \
+ --disable-autoupdatecheck
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}